For the complete documentation index, see llms.txt. This page is also available as Markdown.

Product

Scrape Cdiscount product pages by product ID.

The cdiscount_product data source is designed to retrieve Cdiscount product pages.

Request samples

In the samples below, we make a request to retrieve a product page for 15094-mp225031016.

curl 'https://realtime.oxylabs.io/v1/queries' \
--user 'USERNAME:PASSWORD' \
-H 'Content-Type: application/json' \
-d '{
        "source": "cdiscount_product",
        "product_id": "15094-mp225031016",
        "render": "html"
    }'
import requests
from pprint import pprint


# Structure payload.
payload = {
    "source": "cdiscount_product",
    "product_id": "15094-mp225031016",
    "render": "html"
}

# Get response.
response = requests.request(
    'POST',
    'https://realtime.oxylabs.io/v1/queries',
    auth=('USERNAME', 'PASSWORD'),
    json=payload,
)

# Instead of response with job status and results url, this will return the
# JSON response with the result.
pprint(response.json())

We use synchronous Realtime integration method in our examples. If you would like to use Proxy Endpoint or asynchronous Push-Pull integration, refer to the integration methods section.

Request parameter values

Generic

Basic setup and customization options for scraping Cdiscount product pages.

Parameter
Description
Default Value

source

Sets the scraper.

cdiscount_product

product_id

Cdiscount product ID.

-

render

Enables JavaScript rendering when set to html. More info.

-

callback_url

URL to your callback endpoint. More info

-

user_agent_type

Device type and browser. The full list can be found here.

desktop

- mandatory parameter

Last updated

Was this helpful?